Clipping Planes Properties using C#

I managed to create clipping planes, however, I want to access to the properties of the clipping plane to activate the Model Views perspective. Any idea if this is possible and how to get access to enable this in C#?

On the ClippingPlaneObject you’ll find two related methods: AddCLipViewport and RemoveClipViewport.

Perhaps I should have been more specific, I am getting the clipping planes in the right detail, but what I have to do manually is to go to the Views Clipped and manually select model views and perspective. This specific step is the one I want to find a way to perform in C#. Thanks for your response though.

You have access to all views via the Views table on the RhinoDoc. Find the viewport you want to have set in the clipped views and use AddClipViewport on your clipping plane with that viewport.